ALAS-2019-1149


Amazon Linux AMI Security Advisory: ALAS-2019-1149
Advisory Release Date: 2019-01-25 02:34 Pacific
Severity: Important
References: CVE-2018-16884 

Issue Overview:

A flaw was found in the Linux kernel's NFS41+ subsystem. NFS41+ shares mounted in different network namespaces at the same time can make bc_svc_process() use wrong back-channel IDs and cause a use-after-free vulnerability. Thus a malicious container user can cause a host kernel memory corruption and a system panic. Due to the nature of the flaw, privilege escalation cannot be fully ruled out. (CVE-2018-16884 )


Affected Packages:

kernel


Issue Correction:
Run yum update kernel to update your system.

New Packages:
i686:
    perf-debuginfo-4.14.94-73.73.amzn1.i686
    kernel-tools-debuginfo-4.14.94-73.73.amzn1.i686
    kernel-tools-devel-4.14.94-73.73.amzn1.i686
    perf-4.14.94-73.73.amzn1.i686
    kernel-debuginfo-common-i686-4.14.94-73.73.amzn1.i686
    kernel-devel-4.14.94-73.73.amzn1.i686
    kernel-tools-4.14.94-73.73.amzn1.i686
    kernel-4.14.94-73.73.amzn1.i686
    kernel-debuginfo-4.14.94-73.73.amzn1.i686
    kernel-headers-4.14.94-73.73.amzn1.i686

src:
    kernel-4.14.94-73.73.amzn1.src

x86_64:
    kernel-tools-4.14.94-73.73.amzn1.x86_64
    perf-4.14.94-73.73.amzn1.x86_64
    perf-debuginfo-4.14.94-73.73.amzn1.x86_64
    kernel-headers-4.14.94-73.73.amzn1.x86_64
    kernel-4.14.94-73.73.amzn1.x86_64
    kernel-tools-debuginfo-4.14.94-73.73.amzn1.x86_64
    kernel-devel-4.14.94-73.73.amzn1.x86_64
    kernel-debuginfo-4.14.94-73.73.amzn1.x86_64
    kernel-tools-devel-4.14.94-73.73.amzn1.x86_64
    kernel-debuginfo-common-x86_64-4.14.94-73.73.amzn1.x86_64